import { main } from '@/api'
import request from '@/utils/require'

//列表
export function selectPageByEntity(data) {
    return request({
        url: `${main}/inspection/manager/grain/grainMarketBuild/selectPageByEntity?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
        method: 'post',
        data
    })
}

//保存
export function insertEntitySelective(data) {
    return request({
        url: `${main}/inspection/manager/grain/grainMarketBuild/insertEntitySelective`,
        method: 'post',
        data
    })
}

//查看
export function grainselectById(data) {
    return request({
        url: `${main}/inspection/manager/grain/grainMarketBuild/selectById`,
        method: 'post',
        data
    })
}

//修改
export function updateByEntitySelective(data) {
    return request({
        url: `${main}/inspection/manager/grain/grainMarketBuild/updateByEntitySelective`,
        method: 'post',
        data
    })
}

//状态修改
export function updateStatusByEntity(data) {
    return request({
        url: `${main}/inspection/manager/grain/grainMarketBuild/updateStatusByEntity`,
        method: 'post',
        data
    })
}

//删除
export function deleteByEntity(data) {
    return request({
        url: `${main}/inspection/manager/grain/grainMarketBuild/deleteByEntity`,
        method: 'post',
        data
    })
}


//汇总列表
export function selectChildByEntity(data) {
    return request({
        url: `${main}/inspection/manager/grain/grainMarketBuild/selectChildPageByEntity?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
        method: 'post',
        data
    })
}




